/**
 * $Id$
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 19.04.2008 by oliver (ob@oasd.de)
 */
package de.aosd;

import java.util.ArrayList;

import fit.RowFixture;

/**
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 19.04.2008
 * @version $Revision$
 */
public class PortScannerRowFixture extends RowFixture {

	/* (non-Javadoc)
	 * @see fit.RowFixture#getTargetClass()
	 */
	@Override
	public Class<?> getTargetClass() {
		return PortTester.class;
	}

	/* (non-Javadoc)
	 * @see fit.RowFixture#query()
	 */
	@Override
	public Object[] query() throws Exception {
		ArrayList<PortTester> active = new ArrayList<PortTester>();
		for (int i = 0; i < 1023; i++) {
			PortTester tester = new PortTester();
			tester.Portnummer = i;
			tester.Rechner = "localhost";
			if (tester.Status().equals("aktiv")) {
				active.add(tester);
			}
		}
		return active.toArray();
	}

}

/**
 * $Log$
 * $Source$
 */
